// file: isip_svm_learn.h
//
// this is the header file for the isip_recognize utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_SVM_LEARN
#define ISIP_UTIL_SVM_LEARN

// isip include files
//
#include <CommandLine.h>
#include <AudioDatabase.h>
#include <FeatureFile.h>
#include <StatisticalModel.h>
#include <SupportVectorMachine.h>

static const String PROG_NAME(L"isip_svm_learn");
static const String OPTION_PARAMS_FILE(L"params_file");
static const String OPTION_POS_EXAMPLE_LIST(L"pos_examples");
static const String OPTION_NEG_EXAMPLE_LIST(L"neg_examples");
static const String OPTION_PENALTY(L"penalty");
static const String OPTION_EPSILON(L"epsilon");
static const String OPTION_TOLERANCE(L"tolerance");
static const String OPTION_RBF_GAMMA(L"gamma");
static const String OPTION_SIGMOID_KAPPA(L"kappa");
static const String OPTION_SIGMOID_DELTA(L"delta");
static const String OPTION_POLYNOMIAL_DEGREE(L"degree");
static const String OPTION_KERNEL(L"kernel");

static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_VERBOSITY_LEVEL(L"verbose");
static const String OPTION_LOG_FILE(L"log_file");

static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");

static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;
static const Integral::DEBUG VERBOSITY_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif
